
/*
Telefonscheibenlehser  
 */

// vMusic-easy by www.olafval.de more info: www.vinculum.com/prd_vmusic1.html
#include <SoftwareSerial.h>
// USB-stick max 4 G
// Name Songs "001.mp3" "002.mp3" . . .   
// cut the blue 
// conect the brown to the reen cable
// red cable to 5V
// black cable to GND
#define VMUSIC_RX 3 // yellow cable ti Analog in 0
#define VMUSIC_TX 5 // orange cable ti Analog in 1


// set up a new serial port
SoftwareSerial mySerial =  SoftwareSerial(VMUSIC_RX, VMUSIC_TX);

int e1=0; // 230V Out 1
int e2=0; // 230V Out 2
int e3=0; // 230V Out 3
int e4=0; // 230V Out 4

int x=0; // Zaehler
int w=0; // warten
int m=0; // Modus


long t=0; // Timer
long p=600000; // Pause

void setup(){

  // vmusic (
  // define pin modes for tx, rx, led pins:
  pinMode(VMUSIC_RX, INPUT);
  pinMode(VMUSIC_TX, OUTPUT);

  // set the data rate for the SoftwareSerial port
  mySerial.begin(9600);

  mySerial.print("VSV"); // set volume
  mySerial.print(0,BYTE); // should be between 0 (loud) and 254 (mute)
  mySerial.print(0x0D,BYTE);

  mySerial.print("VPF 001.mp3"); // play song nr one
  mySerial.print(0x0D,BYTE);
  // ) vmusic

  pinMode(15, OUTPUT); // 230 V Schalter
  pinMode(14, OUTPUT); // 230 V Schalter
  pinMode(13, OUTPUT); // LED
  pinMode(12, OUTPUT); // e1
  pinMode(10, OUTPUT); // e2
  pinMode(8, OUTPUT);  // e3
  pinMode(2, OUTPUT);  // e4

  // Luesterklemme
  pinMode(11, INPUT); // Puls-In
  digitalWrite(11, HIGH); // Vorwiedertand an!

  pinMode(7, INPUT); // Reset-In
  digitalWrite(7, HIGH); // Vorwiedertand an!

  pinMode(9, OUTPUT); // GND fuer Luester Klemme
  digitalWrite(9, LOW);

  Serial.begin(9600);
  // bliiink();
  Serial.println("Hallo!");

}



void loop(){


  // timeOut-Timer
  /*
  if(millis() > (t + p)){
   t = millis();
   Serial.println(t);
   Serial.println(" ");
   bliiink();
   }
   */

  // Reset

  if(digitalRead(7)) {
    digitalWrite(13, LOW);
    if(m==1){
      m=0;
      Serial.println(x);

      // t = millis();

      // Loese etwas aus!
      // x ist die Variable mit Zahlen von 1 bis 9 und 10 = 0

      if(x==1) {
        if(e1==0){
          e1=1;
          digitalWrite(12, HIGH); 
        }
        else{
          e1=0;
          digitalWrite(12, LOW);
        }
      }

      if(x==2) {
        if(e2==0){
          e2=1;
          digitalWrite(10, HIGH); 
        }
        else{
          e2=0;
          digitalWrite(10, LOW);
        }
      }

      if(x==3) {
        if(e3==0){
          e3=1;
          digitalWrite(8, HIGH); 
        }
        else{
          e3=0;
          digitalWrite(8, LOW);
        }
      }

      if(x==4) {
        if(e4==0){
          e4=1;
          digitalWrite(2, HIGH); 
        }
        else{
          e4=0;
          digitalWrite(2, LOW);
        }
      }

      if(x==5) {
        mySerial.print("VPF 001.mp3"); // play song nr one
        mySerial.print(0x0D,BYTE);
      }
      if(x==6) {
        mySerial.print("VPF 002.mp3"); // play song nr one
        mySerial.print(0x0D,BYTE);
      }

      if(x==7) {
        mySerial.print("VPF 003.mp3"); // play song nr one
        mySerial.print(0x0D,BYTE);
      }
      if(x==8) {
        mySerial.print("VPF 004.mp3"); // play song nr one
        mySerial.print(0x0D,BYTE);
      }

      if(x==9) {
        mySerial.print("VPF 005.mp3"); // play song nr one
        mySerial.print(0x0D,BYTE);
      }
      if(x==0) {
        mySerial.print("VPF 006.mp3"); // play song nr one
        mySerial.print(0x0D,BYTE);
      }

    }

  }
  else{
    digitalWrite(13, HIGH);
    if(m==0){
      m=1;
      x=0;
      Serial.println("Reset:");
    }
  }


  // Puls

  if(digitalRead(11)) {
    // zählen

    if(w==0){
      x=x+1;
      w=1;
      //Serial.println(x);
    }

    //digitalWrite(13, HIGH);
  }
  else{
    w=0;
    delay(10);
    //digitalWrite(13, LOW);
  }




}


void bliiink(){
  digitalWrite(13, HIGH);
  digitalWrite(14, HIGH);
  digitalWrite(15, HIGH);
  delay(1500);
  digitalWrite(13, LOW);
  digitalWrite(14, LOW);
  digitalWrite(15, LOW);
  delay(1500);

  digitalWrite(13, HIGH);
  digitalWrite(14, HIGH);
  digitalWrite(15, HIGH);
  delay(1500);
  digitalWrite(13, LOW);
  digitalWrite(14, LOW);
  digitalWrite(15, LOW);
  delay(1500);

  digitalWrite(13, HIGH);
  digitalWrite(14, HIGH);
  digitalWrite(15, HIGH);
  delay(500);
  digitalWrite(13, LOW);
  digitalWrite(14, LOW);
  digitalWrite(15, LOW);
  delay(500);

  digitalWrite(13, HIGH);
  digitalWrite(14, HIGH);
  digitalWrite(15, HIGH);
  delay(500);
  digitalWrite(13, LOW);
  digitalWrite(14, LOW);
  digitalWrite(15, LOW);
  delay(500);
}














